Bug 454894 - libsmbclient + nslookup
libsmbclient + nslookup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 12:22 EDT by Jóhann B. Guðmundsson
Modified: 2009-12-18 01:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-07-10 12:22:42 EDT
Description of problem:

Don't know if this is expected behaviour or not but it's
better to report it and it can then be closed as a NOTABUG.

If you create a workgroup that has the same name as machine on
the network then the smbclient tries to connect to that one.

For example I have 2 machines, one called test.fedora.org and another
called samba-test.fedora.org and they are both on the same network.

I setup a samba share on samba-test.fedora.org with WORKGROUP = TEST
then I would try to connect to the samba server using smbclient -L \\TEST
Connection to TEST failed (Error NT_STATUS_CONNECTION_REFUSED)

while smbclient -L \\samba-test.fedora.org would connect perfectly

Running strace -f on smbclient -L \\TEST will reveal that it tried to 
connect to test.fedora.org.

Now running python code..

python -c 'import smbc;print smbc.Context().opendir("smb://").getdents()'

would yield the responce 

<smbc.Dirent object "TEST" (Workgroup) at 0xb7eed470>

While ..

python -c 'import smbc;print smbc.Context().opendir("smb://TEST").getdents()'

Gives you this.

got no contact to IPC$
 Traceback (most recent call last):
      File "<string>", line 1, in <module>
 RuntimeError: (110, 'Connection timed out')

Running strace on the above command would also reveal it tried to connect to 
test.fedora.org

python -c 'import smbc;print
smbc.Context().opendir("smb://samba-test.fedora.org").getdents()'

Would yield in a successful connection.

Now this seems to be spreading to application aswell for instance
let's take nautilus for example.

you feed it smb://TEST:samba-test.fedora.org and it connects then it seems to 
take the intellect desicion to hey I'll just use the workgroup from now on
shrinks it to smb://TEST and vouila you loose connection...  

And according to

 smb://name/
           This command causes libsmbclient to perform a name look-up. If the
           NAME<1D> or NAME<1B> exists (workgroup name), libsmbclient will
           list all servers in the workgroup (or domain). Otherwise, a name
           look-up for the NAME<20> (machine name) will be performed, and the
           list of shared resources on the server will be displayed.

It should list all workgroups before performing name lookup.

So is it performing NS-lookup before workgroup or not? 
Bug or expected behavior.

Version-Release number of selected component (if applicable):



How reproducible:

Always

Steps to Reproduce:
1. The above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher D. Stover 2008-10-24 11:10:20 EDT
> So is it performing NS-lookup before workgroup or not? 
> Bug or expected behavior.

Are you still experiencing this behaviour?  What version of samba are you using now? F9 or Rawhide?  I'm moving this to ASSIGNED since your issue is well described and we can close it if it's not an issue any more.
Comment 2 Jóhann B. Guðmundsson 2008-10-24 13:21:21 EDT
You might want to talk to twaugh he fixed this in s-c-p 
dont know if that fix made it upstream or if he worked around this problem.

I was doing some testing for him when I came across this issue.

If you have a machine called test.example.com on the network create a
workgroup with the name test and you should come across this issue.
Comment 3 Bug Zapper 2008-11-25 21:32:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:36:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:14:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.